
package sbidxservice.idx.v1;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the sbidxservice.idx.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _StatementImageImage_QNAME = new QName("http://IDX.SBIDXService/V1", "Image");
    private final static QName _SubmitResponse_QNAME = new QName("http://IDX.SBIDXService/V1", "response");
    private final static QName _ArrayOfLine_QNAME = new QName("http://IDX.SBIDXService/V1", "ArrayOfLine");
    private final static QName _ImageEncoding_QNAME = new QName("http://IDX.SBIDXService/V1", "ImageEncoding");
    private final static QName _StatementData_QNAME = new QName("http://IDX.SBIDXService/V1", "StatementData");
    private final static QName _ArrayOfStatementImage_QNAME = new QName("http://IDX.SBIDXService/V1", "ArrayOfStatementImage");
    private final static QName _DebitCredit_QNAME = new QName("http://IDX.SBIDXService/V1", "DebitCredit");
    private final static QName _Line_QNAME = new QName("http://IDX.SBIDXService/V1", "Line");
    private final static QName _SBIDXResponse_QNAME = new QName("http://IDX.SBIDXService/V1", "SBIDXResponse");
    private final static QName _StatementResponse_QNAME = new QName("http://IDX.SBIDXService/V1", "StatementResponse");
    private final static QName _StatementImage_QNAME = new QName("http://IDX.SBIDXService/V1", "StatementImage");
    private final static QName _IDXHeader_QNAME = new QName("http://IDX.SBIDXService/V1", "IDXHeader");
    private final static QName _StatementDataLines_QNAME = new QName("http://IDX.SBIDXService/V1", "Lines");
    private final static QName _StatementDataAccountNumber_QNAME = new QName("http://IDX.SBIDXService/V1", "AccountNumber");
    private final static QName _StatementDataAddress_QNAME = new QName("http://IDX.SBIDXService/V1", "Address");
    private final static QName _StatementDataAccountType_QNAME = new QName("http://IDX.SBIDXService/V1", "AccountType");
    private final static QName _StatementDataAccountName_QNAME = new QName("http://IDX.SBIDXService/V1", "AccountName");
    private final static QName _IDXHeaderIBReference_QNAME = new QName("http://IDX.SBIDXService/V1", "IBReference");
    private final static QName _LineDescription_QNAME = new QName("http://IDX.SBIDXService/V1", "Description");
    private final static QName _StatementResponseData_QNAME = new QName("http://IDX.SBIDXService/V1", "Data");
    private final static QName _SubmitResponseSubmitResult_QNAME = new QName("http://IDX.SBIDXService/V1", "SubmitResult");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: sbidxservice.idx.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link StatementImage }
     * 
     */
    public StatementImage createStatementImage() {
        return new StatementImage();
    }

    /**
     * Create an instance of {@link Submit }
     * 
     */
    public Submit createSubmit() {
        return new Submit();
    }

    /**
     * Create an instance of {@link ArrayOfLine }
     * 
     */
    public ArrayOfLine createArrayOfLine() {
        return new ArrayOfLine();
    }

    /**
     * Create an instance of {@link IDXHeader }
     * 
     */
    public IDXHeader createIDXHeader() {
        return new IDXHeader();
    }

    /**
     * Create an instance of {@link SBIDXResponse }
     * 
     */
    public SBIDXResponse createSBIDXResponse() {
        return new SBIDXResponse();
    }

    /**
     * Create an instance of {@link StatementData }
     * 
     */
    public StatementData createStatementData() {
        return new StatementData();
    }

    /**
     * Create an instance of {@link Line }
     * 
     */
    public Line createLine() {
        return new Line();
    }

    /**
     * Create an instance of {@link ArrayOfStatementImage }
     * 
     */
    public ArrayOfStatementImage createArrayOfStatementImage() {
        return new ArrayOfStatementImage();
    }

    /**
     * Create an instance of {@link StatementResponse }
     * 
     */
    public StatementResponse createStatementResponse() {
        return new StatementResponse();
    }

    /**
     * Create an instance of {@link SubmitResponse }
     * 
     */
    public SubmitResponse createSubmitResponse() {
        return new SubmitResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "Image", scope = StatementImage.class)
    public JAXBElement<byte[]> createStatementImageImage(byte[] value) {
        return new JAXBElement<byte[]>(_StatementImageImage_QNAME, byte[].class, StatementImage.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatementResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "response", scope = Submit.class)
    public JAXBElement<StatementResponse> createSubmitResponse(StatementResponse value) {
        return new JAXBElement<StatementResponse>(_SubmitResponse_QNAME, StatementResponse.class, Submit.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfLine }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "ArrayOfLine")
    public JAXBElement<ArrayOfLine> createArrayOfLine(ArrayOfLine value) {
        return new JAXBElement<ArrayOfLine>(_ArrayOfLine_QNAME, ArrayOfLine.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ImageEncoding }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "ImageEncoding")
    public JAXBElement<ImageEncoding> createImageEncoding(ImageEncoding value) {
        return new JAXBElement<ImageEncoding>(_ImageEncoding_QNAME, ImageEncoding.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatementData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "StatementData")
    public JAXBElement<StatementData> createStatementData(StatementData value) {
        return new JAXBElement<StatementData>(_StatementData_QNAME, StatementData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfStatementImage }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "ArrayOfStatementImage")
    public JAXBElement<ArrayOfStatementImage> createArrayOfStatementImage(ArrayOfStatementImage value) {
        return new JAXBElement<ArrayOfStatementImage>(_ArrayOfStatementImage_QNAME, ArrayOfStatementImage.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DebitCredit }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "DebitCredit")
    public JAXBElement<DebitCredit> createDebitCredit(DebitCredit value) {
        return new JAXBElement<DebitCredit>(_DebitCredit_QNAME, DebitCredit.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Line }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "Line")
    public JAXBElement<Line> createLine(Line value) {
        return new JAXBElement<Line>(_Line_QNAME, Line.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SBIDXResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "SBIDXResponse")
    public JAXBElement<SBIDXResponse> createSBIDXResponse(SBIDXResponse value) {
        return new JAXBElement<SBIDXResponse>(_SBIDXResponse_QNAME, SBIDXResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatementResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "StatementResponse")
    public JAXBElement<StatementResponse> createStatementResponse(StatementResponse value) {
        return new JAXBElement<StatementResponse>(_StatementResponse_QNAME, StatementResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatementImage }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "StatementImage")
    public JAXBElement<StatementImage> createStatementImage(StatementImage value) {
        return new JAXBElement<StatementImage>(_StatementImage_QNAME, StatementImage.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IDXHeader }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "IDXHeader")
    public JAXBElement<IDXHeader> createIDXHeader(IDXHeader value) {
        return new JAXBElement<IDXHeader>(_IDXHeader_QNAME, IDXHeader.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfLine }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "Lines", scope = StatementData.class)
    public JAXBElement<ArrayOfLine> createStatementDataLines(ArrayOfLine value) {
        return new JAXBElement<ArrayOfLine>(_StatementDataLines_QNAME, ArrayOfLine.class, StatementData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "AccountNumber", scope = StatementData.class)
    public JAXBElement<String> createStatementDataAccountNumber(String value) {
        return new JAXBElement<String>(_StatementDataAccountNumber_QNAME, String.class, StatementData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "Address", scope = StatementData.class)
    public JAXBElement<String> createStatementDataAddress(String value) {
        return new JAXBElement<String>(_StatementDataAddress_QNAME, String.class, StatementData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "AccountType", scope = StatementData.class)
    public JAXBElement<String> createStatementDataAccountType(String value) {
        return new JAXBElement<String>(_StatementDataAccountType_QNAME, String.class, StatementData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "AccountName", scope = StatementData.class)
    public JAXBElement<String> createStatementDataAccountName(String value) {
        return new JAXBElement<String>(_StatementDataAccountName_QNAME, String.class, StatementData.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "IBReference", scope = IDXHeader.class)
    public JAXBElement<String> createIDXHeaderIBReference(String value) {
        return new JAXBElement<String>(_IDXHeaderIBReference_QNAME, String.class, IDXHeader.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "AccountType", scope = IDXHeader.class)
    public JAXBElement<Integer> createIDXHeaderAccountType(Integer value) {
        return new JAXBElement<Integer>(_StatementDataAccountType_QNAME, Integer.class, IDXHeader.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "Description", scope = Line.class)
    public JAXBElement<String> createLineDescription(String value) {
        return new JAXBElement<String>(_LineDescription_QNAME, String.class, Line.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ArrayOfStatementImage }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "Image", scope = StatementResponse.class)
    public JAXBElement<ArrayOfStatementImage> createStatementResponseImage(ArrayOfStatementImage value) {
        return new JAXBElement<ArrayOfStatementImage>(_StatementImageImage_QNAME, ArrayOfStatementImage.class, StatementResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StatementData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "Data", scope = StatementResponse.class)
    public JAXBElement<StatementData> createStatementResponseData(StatementData value) {
        return new JAXBElement<StatementData>(_StatementResponseData_QNAME, StatementData.class, StatementResponse.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SBIDXResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://IDX.SBIDXService/V1", name = "SubmitResult", scope = SubmitResponse.class)
    public JAXBElement<SBIDXResponse> createSubmitResponseSubmitResult(SBIDXResponse value) {
        return new JAXBElement<SBIDXResponse>(_SubmitResponseSubmitResult_QNAME, SBIDXResponse.class, SubmitResponse.class, value);
    }

}
